
Katello - Feature #5825

lifecycle environments api not returning results

05/20/2014 02:32 PM - Thomas McKay

Status: Closed   

Priority: Normal   

Assignee: Thomas McKay   

Category: API   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1099529 Red Hat JIRA:  

Pull request:    

Description

http://localhost:3000/katello/api/v2/environments?organization_id=3&library=true

With or without library results in no results.

{

    "total": 0,

    "subtotal": 0,

    "page": 1,

    "per_page": 20,

    "search": null,

    "sort": {

        "by": null,

        "order": null

    },

    "results": []

}

Associated revisions

Revision adc1d2a5 - 05/20/2014 06:12 PM - Thomas McKay

fixes #5825 - added id to elasticsearch indexing

Revision 81727877 - 05/20/2014 06:36 PM - Thomas McKay

Merge pull request #4122 from thomasmckay/5825-env-index

fixes #5825 - added id to elasticsearch indexing

History

#1 - 05/20/2014 02:32 PM - Thomas McKay

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1099529

#2 - 05/20/2014 06:11 PM - Thomas McKay

- Status changed from New to Assigned

- Assignee set to Thomas McKay

#3 - 05/20/2014 06:52 PM - Thomas McKay

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:adc1d2a5215860a534869414d2ad7114b83436d7.

#4 - 05/22/2014 09:00 PM - Brad Buckingham
http://localhost:3000/katello/api/v2/environments?organization_id=3&library=true


- Triaged changed from No to Yes

#5 - 08/22/2014 08:26 AM - Eric Helms

- translation missing: en.field_release set to 13
